Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 957930 - Review Request: nodejs-agentkeepalive - Missing keepalive http.Agent
Summary: Review Request: nodejs-agentkeepalive - Missing keepalive http.Agent
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 957927
Blocks: nodejs-reviews 957932
TreeView+ depends on / blocked
 
Reported: 2013-04-29 23:39 UTC by Tom Hughes
Modified: 2013-06-07 23:49 UTC (History)
3 users (show)

Fixed In Version: nodejs-tilelive-4.4.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-07 23:49:02 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-04-29 23:39:45 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-agentkeepalive.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-agentkeepalive-0.1.5-1.fc18.src.rpm
Fedora Account System Username: tomh

Description:
The nodejs's missing keep alive http.Agent. Support http and https.

Comment 1 Jamie Nguyen 2013-05-26 17:28:13 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- nodejs-agentkeepalive.noarch: W: spelling-error Summary(en_US) keepalive -> keep alive, keep-alive, Palmolive

Don't think there's any real problem here, but I might be inclined to change to keep-alive just to keep rpmlint happy.


- nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US http -> HTTP
- nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US https -> HTTP

Probably best to capitalize these.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 2 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-agentkeepalive/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-agentkeepalive-0.1.5-1.fc18.noarch.rpm
nodejs-agentkeepalive.noarch: W: spelling-error Summary(en_US) keepalive -> keep alive, keep-alive, Palmolive
nodejs-agentkeepalive.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US https -> HTTP
nodejs-agentkeepalive.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-agentkeepalive
nodejs-agentkeepalive.noarch: W: spelling-error Summary(en_US) keepalive -> keep alive, keep-alive, Palmolive
nodejs-agentkeepalive.noarch: W: spelling-error Summary(en_US) http -> HTTP
nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US http -> HTTP
nodejs-agentkeepalive.noarch: W: spelling-error %description -l en_US https -> HTTP
nodejs-agentkeepalive.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 5 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-agentkeepalive (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-agentkeepalive:
    nodejs-agentkeepalive
    npm(agentkeepalive)



Source checksums
----------------
http://registry.npmjs.org/agentkeepalive/-/agentkeepalive-0.1.5.tgz :
  CHECKSUM(SHA256) this package     : 356bab15c4f2d5a96581a75ff64950c93a91210a52e9087932e6ad6e7355ade8
  CHECKSUM(SHA256) upstream package : 356bab15c4f2d5a96581a75ff64950c93a91210a52e9087932e6ad6e7355ade8


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -r -n nodejs-agentkeepalive-0.1.5-1.fc18.src.rpm

Comment 3 Jamie Nguyen 2013-05-26 19:14:43 UTC
Thanks, package approved!

Comment 4 Tom Hughes 2013-05-26 20:31:52 UTC
New Package SCM Request
=======================
Package Name: nodejs-agentkeepalive
Short Description: Missing keep-alive http.Agent
Owners: tomh
Branches: f18 f19
InitialCC:

Comment 5 Gwyn Ciesla 2013-05-28 15:31:19 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2013-05-28 19:25:00 UTC
nodejs-tilelive-4.4.3-2.fc18,nodejs-tilejson-0.3.4-1.fc18,nodejs-agentkeepalive-0.1.5-2.fc18,nodejs-pedding-0.0.1-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-tilelive-4.4.3-2.fc18,nodejs-tilejson-0.3.4-1.fc18,nodejs-agentkeepalive-0.1.5-2.fc18,nodejs-pedding-0.0.1-1.fc18

Comment 7 Fedora Update System 2013-05-30 03:06:27 UTC
nodejs-tilelive-4.4.3-2.fc18, nodejs-tilejson-0.3.4-1.fc18, nodejs-agentkeepalive-0.1.5-2.fc18, nodejs-pedding-0.0.1-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 8 Fedora Update System 2013-06-07 23:49:02 UTC
nodejs-tilelive-4.4.3-2.fc18, nodejs-tilejson-0.3.4-1.fc18, nodejs-agentkeepalive-0.1.5-2.fc18, nodejs-pedding-0.0.1-1.fc18 has been pushed to the Fedora 18 stable repository.


Note You need to log in before you can comment on or make changes to this bug.